(TeX-add-style-hook
 "ClassicThesis"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("scrreprt" "twoside" "openright" "titlepage" "numbers=noenddot" "headinclude" "footinclude=true" "cleardoublepage=empty" "abstractoff" "BCOR=5mm" "paper=a4" "fontsize=11pt" "american")))
   (TeX-run-style-hooks
    "latex2e"
    "classicthesis-config"
    "FrontBackmatter/Titlepage"
    "FrontBackmatter/Titleback"
    "FrontBackmatter/Acknowledgments"
    "FrontBackmatter/Contents"
    "Chapters/Chapter01"
    "Chapters/Chapter02"
    "Chapters/Chapter03"
    "FrontBackmatter/Bibliography"
    "fix-cm"
    "scrreprt"
    "scrreprt10")
   (LaTeX-add-bibliographies
    "Bibliography"))
 :latex)

