(TeX-add-style-hook
 "classicthesis"
 (lambda ()
   (add-to-list 'LaTeX-verbatim-environments-local "lstlisting")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (TeX-run-style-hooks
    "ifthen"
    "listings"
    "ifpdf"
    "hyperref"
    "ifxetex"
    "xcolor"
    "MinionPro"
    "mathpazo"
    "beramono"
    "eulervm"
    "microtype"
    "typearea"
    "booktabs"
    "textcase"
    "soul"
    "scrlayer-scrpage"
    "titlesec"
    "tocloft"
    "footmisc"
    "scrtime"
    "prelim2e"
    "remreset")
   (TeX-add-symbols
    '("Part" ["argument"] 1)
    '("Chap" ["argument"] 1)
    '("tocEntry" 1)
    '("PartS" 1)
    '("ChapS" 1)
    '("ctparttext" 1)
    '("spacedlowsmallcaps" 1)
    '("spacedallcaps" 1)
    "chapterNumber"
    "ct"
    "deactivateaddvspace"
    "finalVersionString"
    "myVersion"
    "oldmarginpar"
    "lstlistoflistings"
    "oldchap"
    "oldpart"
    "thepart"
    "addvspace"
    "myChapter"
    "myPart"
    "graffito")
   (LaTeX-add-environments
    "aenumerate")
   (LaTeX-add-lengths
    "titleindent"
    "newnumberwidth"
    "beforebibskip"
    "newchnumberwidth"
    "figurelabelwidth"
    "tablelabelwidth"
    "listingslabelwidth")
   (LaTeX-add-xcolor-definecolors
    "halfgray"
    "webgreen"
    "webbrown"
    "Black"
    "Maroon"))
 :latex)

